IEEE80211_REGISTER_H(9)

NAME
ieee80211_register_hw - Register hardware device

SYNOPSIS

int ieee80211_register_hw(struct ieee80211_hw * hw);

ARGUMENTS

hw
    the device to register as returned by ieee80211_alloc_hw

DESCRIPTION

You must call this function before any other functions in mac80211. Note that before a hardware can be registered, you need to fill the contained wiphy's information.

RETURN

0 on success. An error code otherwise.

AUTHOR

Johannes Berg <johannes@sipsolutions.net>
    Author.

COPYRIGHT